#' Total GFCF in construction at current prices
#'
#' An annual time series containing the french GFCF in construction from 2000
#' to 2019, as retrieved the 08/12/2020.
#'
#' @format A time series of frequency 1
#' 
#' @source \url{https://www.insee.fr/fr/statistiques/2015361}
#' @keywords internal
"construction"

#' Turnover indicator in construction
#'
#' An monthly time series containing the turnover indicator in construction
#' from january 2000 to may 2020, as retrieved the 08/12/2020.
#'
#' @format A time series of frequency 12
#' 
#' @source \url{https://www.insee.fr/fr/statistiques/4636032}
#' @keywords internal
"turnover"

#' Total consumption in accommodation and food services at current prices
#'
#' An annual time series containing the consumption in accommodation and food services services from 1999
#' to 2021, as retrieved the 04/07/2022.
#'
#' @format A time series of frequency 1
#' 
#' @source \url{https://www.insee.fr/en/statistiques/serie/010548586}
#' @keywords internal
"consumption_catering"

#' Turnover indicator in accommodation and food services
#'
#' An monthly time series containing the turnover indicator in accommodation and food services
#' from january 1999 to april 2022, as retrieved the 04/07/2022.
#'
#' @format A time series of frequency 12
#' 
#' @source \url{https://www.insee.fr/en/statistiques/serie/010543406}
#' @keywords internal
"turnover_catering"
